#include "unit_input.h"

#ifndef __CODEPOINT_FILTER_H__
#define __CODEPOINT_FILTER_H__

int codepoint_filter(TableStruct *unit_table, IMEKey key_event, IMEBufferRec *ime_buffer);
int map_keyevent_to_imekey(TableStruct *unit_table, IMEKey key_event);
int convert_UCS4_to_UTF8 (unsigned int *, unsigned char *);

#endif

